<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CruiseShip StructType
 * @subpackage Structs
 */
class CruiseShip extends AbstractStructBase
{
    /**
     * The CruiseShipRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CruiseShipRQ
     */
    public $CruiseShipRQ;
    /**
     * Constructor method for CruiseShip
     * @uses CruiseShip::setCruiseShipRQ()
     * @param \StructType\JP_CruiseShipRQ $cruiseShipRQ
     */
    public function __construct(\StructType\JP_CruiseShipRQ $cruiseShipRQ = null)
    {
        $this
            ->setCruiseShipRQ($cruiseShipRQ);
    }
    /**
     * Get CruiseShipRQ value
     * @return \StructType\JP_CruiseShipRQ|null
     */
    public function getCruiseShipRQ()
    {
        return $this->CruiseShipRQ;
    }
    /**
     * Set CruiseShipRQ value
     * @param \StructType\JP_CruiseShipRQ $cruiseShipRQ
     * @return \StructType\CruiseShip
     */
    public function setCruiseShipRQ(\StructType\JP_CruiseShipRQ $cruiseShipRQ = null)
    {
        $this->CruiseShipRQ = $cruiseShipRQ;
        return $this;
    }
}
